Получаване на доставчици на транскриптор
curl --request GET \
--url https://call.aiployees.com/api/user/assistants/transcriber-providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://call.aiployees.com/api/user/assistants/transcriber-providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://call.aiployees.com/api/user/assistants/transcriber-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "Deepgram",
"code": "deepgram"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Gladia",
"code": "gladia"
}
]
Асистенти
Получаване на доставчици на транскриптор
Извличане на наличните STT (реч към текст) доставчици на транскриптор
GET
/
user
/
assistants
/
transcriber-providers
Получаване на доставчици на транскриптор
Този endpoint връща списък с наличните доставчици на транскриптор, които могат да бъдат използвани при създаване или обновяване на асистенти. Използвайте върнатия
id като transcriber_provider_id при конфигуриране на асистент.
Параметри за заявка
integer
Филтрира доставчиците по поддръжка на език. Връща само доставчици, които поддържат дадения език. Използвайте Get Languages endpoint, за да получите наличните ID на езици.
Полета в отговора
array
[
{
"id": 1,
"name": "Deepgram",
"code": "deepgram"
},
{
"id": 2,
"name": "Azure",
"code": "azure"
},
{
"id": 3,
"name": "Gladia",
"code": "gladia"
}
]
Забележки
- Ако не е предоставен филтър
language_id, се връщат всички доставчици - Не всички доставчици поддържат всички езици — използвайте филтъра
language_id, за да получите съвместими доставчици - Доставчиците на транскриптор са релевантни само за
pipelineрежим (multimodal и dualplex режимите обработват STT вътрешно) - Ако не зададете
transcriber_provider_idпри създаване на асистент, се използва стандартният доставчик за езика

